﻿<fieldset>
    <table align="center" style="padding:5px;">
        <tr>
            <td>
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Year";
                    Label.Width = 50;
                }).GetHtml()
            </td>
            <td>
                @*@Html.DevExpress().SpinEdit(
                    settings =>
                    {
                        settings.Name = "I_YEAR";
                        settings.Properties.EnableClientSideAPI = true;
                        settings.Width = 100;
                        settings.ClientVisible = true;
                        settings.Properties.MaxLength = 6;
                        settings.Properties.MinValue = 0;
                        settings.Properties.DecimalPlaces = 0;
                        settings.Properties.DisplayFormatString = "###0";
                        settings.Properties.SpinButtons.Visible = false;
                        settings.Properties.SpinButtons.ShowIncrementButtons = false;
                        settings.Properties.NumberType = SpinEditNumberType.Integer;
                        //settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                        //settings.Properties.ClientSideEvents.KeyPress = "I_CASE_NUM_OnKeyPress";
                    }).GetHtml()*@
                @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_YEAR";
                        settings.Width = 110;
                        settings.Properties.DropDownWidth = 110;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.Properties.CallbackPageSize = 100;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueType = typeof(string);
                    }
                           ).BindList(ViewData["Year"]).GetHtml()

            </td>
            <td style="padding-left:10px;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Shift";
                    Label.Width = 50;
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_Shift";
                        settings.Width = 110;
                        settings.Properties.DropDownWidth = 110;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.Properties.CallbackPageSize = 100;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueType = typeof(string);
                    }
                  ).BindList(ViewData["Shift"]).GetHtml()
            </td>
            <td style="padding-left:10px;">
                @Html.DevExpress().Button(
                    print =>
                    {
                        print.Name = "cmdSearch";
                        print.Width = 110;
                        print.Text = "Search";
                        print.ClientSideEvents.Click = "OnSearch";
                        print.Style.Add("display", "inline-table");
                        print.UseSubmitBehavior = true;
                        //print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ShippingInstructionTentative", "FTR-SPEX-148-02", "CREATE TENT");
                    }
                    ).GetHtml()
            </td>
            <td style="padding-left:10px;">
                @Html.DevExpress().Button(
                    print =>
                    {
                        print.Name = "cmdClear";
                        print.Width = 110;
                        print.Text = "Clear";
                        print.ClientSideEvents.Click = "OnClear";
                        print.Style.Add("display", "inline-table");
                        print.UseSubmitBehavior = true;
                        //print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ShippingInstructionTentative", "FTR-SPEX-148-02", "CREATE TENT");
                    }
                    ).GetHtml()
            </td>
            <td style="padding-left:10px;">
                @Html.DevExpress().Button(
                    print =>
                    {
                        print.Name = "cmdUpdate";
                        print.Width = 110;
                        print.Text = "Update";
                        print.ClientSideEvents.Click = "OnUpdate";
                        print.Style.Add("display", "inline-table");
                        print.UseSubmitBehavior = true;
                        print.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("CalendarMaster", "FTR-SPEX-165-01", "Update");
                    }
                    ).GetHtml()
            </td>
        </tr>
    </table>
</fieldset>

